{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": ".",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "module": "es2020",
    "moduleResolution": "node",
    "importHelpers": true,
    "strict": true,
    "noImplicitAny": false,
    "noUnusedLocals": false,
    "noUnusedParameters": false,
    "target": "es2015",
    "lib": ["es2018", "dom"],
    "paths": {
      "~components": ["./src/app/components/index.ts"],
      "~common/*": ["./src/common/*"],
      "~dialogs": ["./src/app/dialogs/index.ts"],
      "~enums": ["./src/app/enums/index.ts"],
      "~interfaces": ["./src/app/interfaces/index.ts"],
      "~metadata": ["./src/app/metadata/index.ts"],
      "~pipes": ["./src/app/pipes/index.ts"],
      "~resolvers": ["./src/app/resolvers/index.ts"],
      "~services": ["./src/app/services/index.ts"],
      "~wizards": ["./src/app/wizards/index.ts"],
      "~environments": ["./src/environments/environment.ts"]
    }
  },
  "angularCompilerOptions": {
    "enableIvy": true,
    "disableTypeScriptVersionCheck": true,
    "fullTemplateTypeCheck": true,
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true,
    "trace": true
  }
}
